# Uses of Class
org.eclipse.birt.report.model.api.metadata.DimensionValue

Packages that use DimensionValue
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.metadata
Defines the elements, properties, types, structures and slots in the Report Object Model.
org.eclipse.birt.report.model.api.util
Utility classes.

## Uses of DimensionValue in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return DimensionValue
Modifier and Type
Method
Description
`DimensionValue`
DimensionHandle.`getAbsoluteValue()`
Returns the absolute dimension value with the following units.
`DimensionValue`
MasterPageHandle.`getEffectiveHeight()`
Deprecated.
`DimensionValue`
MasterPageHandle.`getEffectiveWidth()`
Deprecated.
`DimensionValue`
MasterPageHandle.`getPageHeight()`
Gets the effective page height.
`DimensionValue`
MasterPageHandle.`getPageWidth()`
Gets the effective page width.
`DimensionValue`
IAbsoluteFontSizeValueProvider.`getValueOf(String fontSizeConstant)`
Returns the dimension value of absolute font size constant.
Methods in org.eclipse.birt.report.model.api with parameters of type DimensionValue
Modifier and Type
Method
Description
`void`
CellHandle.`setHeight(DimensionValue height)`
Set the cell height based on dimension value
`void`
MasterPageHandle.`setHeight(DimensionValue height)`
Set the master page height based on dimension value
`void`
RowHandle.`setHeight(DimensionValue height)`
Set the row height based on dimension value
`void`
CellHandle.`setWidth(DimensionValue width)`
Set the cell width based on dimension value
`void`
ColumnHandle.`setWidth(DimensionValue width)`
Set the column width based on dimension value
`void`
MasterPageHandle.`setWidth(DimensionValue width)`
Set the master page width based on dimension value

## Uses of DimensionValue in org.eclipse.birt.report.model.api.metadata

Methods in org.eclipse.birt.report.model.api.metadata that return DimensionValue
Modifier and Type
Method
Description
`static DimensionValue`
DimensionValue.`parse(String value)`
Deprecated.
replaced by `StringUtil.parse(String)`
`static DimensionValue`
DimensionValue.`parseInput(String value)`
Deprecated.
replaced by `StringUtil.parseInput(String, com.ibm.icu.util.ULocale)`

## Uses of DimensionValue in org.eclipse.birt.report.model.api.util

Methods in org.eclipse.birt.report.model.api.util that return DimensionValue
Modifier and Type
Method
Description
`static DimensionValue`
DimensionUtil.`convertTo(double measure, String fromUnits, String targetUnits)`
Convert a measure from one units to another.
`static DimensionValue`
DimensionUtil.`convertTo(double measure, String fromUnits, String targetUnits, int dpi)`
Convert a measure from one units to another.
`static DimensionValue`
DimensionUtil.`convertTo(String dimension, String appUnit, String targetUnits)`
Convert a dimension from one units to another, the dimension like "12pt, 12cm" is composed of two parts: "measure" and "units".
`static DimensionValue`
DimensionUtil.`convertTo(DimensionValue dimension, String appUnit, String targetUnits)`
Convert a `DimensionValue` from one units to another, The conversion is between absolute the units should be one of the absolute units(CM, IN, MM, PT, PC, PX).
`static DimensionValue`
DimensionUtil.`mergeDimension(DimensionValue dimension1, DimensionValue dimension2)`
Merges two dimension values with default dpi.
`static DimensionValue`
DimensionUtil.`mergeDimension(DimensionValue dimension1, DimensionValue dimension2, int dpi)`
Merges two dimension values with the given dpi value.
`static DimensionValue`
StringUtil.`parse(String value)`
Parses a dimension string in locale-independent way.
`static DimensionValue`
StringUtil.`parseInput(String value, com.ibm.icu.util.ULocale locale)`
Parses a dimension string in locale-dependent way.
Methods in org.eclipse.birt.report.model.api.util with parameters of type DimensionValue
Modifier and Type
Method
Description
`static DimensionValue`
DimensionUtil.`convertTo(DimensionValue dimension, String appUnit, String targetUnits)`
Convert a `DimensionValue` from one units to another, The conversion is between absolute the units should be one of the absolute units(CM, IN, MM, PT, PC, PX).
`static DimensionValue`
DimensionUtil.`mergeDimension(DimensionValue dimension1, DimensionValue dimension2)`
Merges two dimension values with default dpi.
`static DimensionValue`
DimensionUtil.`mergeDimension(DimensionValue dimension1, DimensionValue dimension2, int dpi)`
Merges two dimension values with the given dpi value.